#ifndef DEMOWIDGETS_H
#define DEMOWIDGETS_H

#include <QMainWindow>

QT_BEGIN_NAMESPACE
namespace Ui {
class DemoWidgets;
}
QT_END_NAMESPACE

class DemoWidgets : public QMainWindow
{
    Q_OBJECT

public:
    DemoWidgets(QWidget *parent = nullptr);
    ~DemoWidgets();

private slots:
    void on_submitButton_clicked();

    void on_redCB_stateChanged(int arg1);
    void on_greenCB_stateChanged(int arg1);
    void on_blueCB_stateChanged(int arg1);

    void on_adsRB_clicked();
    void on_csRB_clicked();
    void on_cmpeRB_clicked();

    void on_foodMenu_currentIndexChanged(int index);

private:
    Ui::DemoWidgets *ui;

    void initializeMenu();
    void initializeTable();

    void showColorChoices();
};
#endif // DEMOWIDGETS_H
